import * as RE from 'rogue-engine'
import * as THREE from 'three'

export default class ScrollTexture extends RE.Component {
  @RE.Prop("Vector2") offsetPerTick = new THREE.Vector2(-0.001, 0.001)
  @RE.Prop("Material") materialToOffset
  
  update() {
    this.materialToOffset.map.offset.add(this.offsetPerTick)
  }
}

RE.registerComponent(ScrollTexture);
